<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
  public function up()
{
    Schema::create('vaccine_master', function (Blueprint $table) {
        $table->bigIncrements('VM_Id');
        $table->string('Vaccine_Name', 100)->nullable();
        $table->integer('Validity_Days')->nullable();
        $table->timestamps();
        $table->softDeletes();
    });
}

public function down()
{
    Schema::dropIfExists('vaccine_master');
}
};
